fixcos(3)

NAME
fixcos - Fixed point cosine of binary angles. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

fixed fixcos(fixed x);

DESCRIPTION
This function finds the cosine of a value using a lookup table. The input value must be a fixed point binary angle. Example:
   fixed angle;
   float result;

   /* Set the binary angle to 45 degrees. */
   angle = itofix(32);
   /* The cosine of 45 degrees is about 0.7071. */
   result = fixtof(fixcos(angle));
   ASSERT(result > 0.7 && result < 0.71);

RETURN VALUE
Returns the cosine of a fixed point binary format angle. The return value will be in radians.

SEE ALSO
, ex12bit(3), ex3buf(3), exblend(3), excustom(3), exspline(3), exupdate(3)